Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginSpeciesAlias

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginSpeciesAlias

    public class PluginSpeciesAlias

extends PluginSBase

PluginSpeciesAlias has drawing information such as position, color, name and type.

Author:

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`` | `PluginSpeciesAlias(PluginSpecies parent, java.lang.String type)` Constructor
`protected` | `PluginSpeciesAlias(jp.sbi.celldesigner.SpeciesAlias speciesAlias, PluginSpecies parent)` Constructor

Method Summary
`java.lang.String` | `getAliasID()`
`java.util.Vector` | `getAllIncludedSpeciesAliases()`
`PluginAntiSenseRNA` | `getAntiSenseRNA()`
`java.awt.Color` | `getColor()`
`java.lang.String` | `getExtensionId()`
`java.lang.String` | `getExtensionType()`
`double` | `getFrameLineWidth()`
`PluginGene` | `getGene()`
`double` | `getHeight()`
`int` | `getHomodimer()`
`boolean` | `getHypothetical()`
`PluginListOf` | `getModifications()`
`java.lang.String` | `getName()`
`XMLNode` | `getNotes()`
`java.lang.String` | `getNotesString()`
`PluginInformationBox` | `getPluginInformationBox()`
`PluginListOf` | `getPluginListOfStructuralStates()` Gets a list of PluginStructuralStates
`PluginProtein` | `getProtein()`
`PluginRNA` | `getRNA()`
`PluginSpecies` | `getSpecies()`
`java.lang.String` | `getType()`
`double` | `getWidth()`
`double` | `getX()`
`double` | `getY()`
`boolean` | `isActive()`
`static java.util.Vector` | `resetAllIncludedPluginSpeciesAliases(PluginModel pluginMode, PluginSpeciesAlias someone)`
`void` | `setAllIncludedSpeciesAliases(java.util.Vector includeds)`
`void` | `setAntiSenseRNA(PluginAntiSenseRNA asrna)` Sets the PluginAntiSenseRNA of this PluginSpeciesAlias.
`void` | `setColor(java.awt.Color color)` Sets the color of this PluginSpeciesAlias.
`void` | `setFrameLineWidth(double lineWidth)` Sets the FrameLineWidth of this PluginSpeciesAlias.
`void` | `setFramePosition(double x, double y)` Sets the position for this PluginSpeciesAlias.
`void` | `setFrameSize(double width, double height)` Sets the FrameSize (width & height) for this PluginSpeciesAlias
`void` | `setGene(PluginGene gene)` Sets the PluginGene of this PluginSpeciesAlias.
`void` | `setHomodimer(int homodimer)` Sets the homodimer of this PluginSpeciesAlias.
`void` | `setHypothetical(boolean hypothetical)` Sets the hypothetical of this PluginSpeciesAlias.
`void` | `setIsActive(boolean activity)` Sets activity
`void` | `setModifications(PluginListOf modifications)` Sets the list of PluginModification of this PluginSpeciesAlias.
`void` | `setName(java.lang.String name)` Sets the name of this PluginSpeciesAlias
`void` | `setPluginInformationBox(PluginInformationBox _PluginInformationBox)`
`void` | `setPluginListOfStructuralStates(PluginListOf _listOfPluginStructuralStates)` Sets a list of PluginStructuralStates
`void` | `setProtein(PluginProtein protein)` Sets the PluginProtein of this PluginSpeciesAlias.
`void` | `setRNA(PluginRNA rna)` Sets the PluginRNA of this PluginSpeciesAlias.
`protected void` | `setSpecies(PluginSpecies parentSpecies)` Sets the PluginSpecies of this PluginSpeciesAlias.
`void` | `setType(java.lang.String type)` Sets the type of this PluginSpeciesAlias.
`void` | `update(PluginSpeciesAlias target)` Update all properties of this PluginSpeciesAlias to the same as the given PluginSpeciesAlias.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginSpeciesAlias

    public PluginSpeciesAlias(PluginSpecies parent,
                              java.lang.String type)

  Constructor

  Parameters:
    `parent` - PluginSpecies as the parent of this PluginSpeciesAlias
    `type` - the type of PluginSpeciesAlias. The type is one of the fields of PluginSpeciesSymbolType.

### PluginSpeciesAlias

    protected PluginSpeciesAlias(jp.sbi.celldesigner.SpeciesAlias speciesAlias,
                                 PluginSpecies parent)

  Constructor

  Parameters:
    `speciesAlias` -
    `parent` -

Method Detail

### getAllIncludedSpeciesAliases

    public java.util.Vector getAllIncludedSpeciesAliases()

### setAllIncludedSpeciesAliases

    public void setAllIncludedSpeciesAliases(java.util.Vector includeds)

### update

    public void update(PluginSpeciesAlias target)

  Update all properties of this PluginSpeciesAlias to the same as the given PluginSpeciesAlias.

  Parameters:
    `target` -

### getSpecies

    public PluginSpecies getSpecies()

  Returns:
    the PluginSpecies of this PluginSpeciesAlias

### setSpecies

    protected void setSpecies(PluginSpecies parentSpecies)

  Sets the PluginSpecies of this PluginSpeciesAlias.

  Parameters:
    `parentSpecies` -

### getType

    public java.lang.String getType()

  Returns:
    the type of PluginSpeciesAlias. The type is one of fields of PluginSpeciesSymbolType

### getExtensionType

    public java.lang.String getExtensionType()

  Returns:
    the ExtensionType of this PluginSpeciesAlias

### setType

    public void setType(java.lang.String type)

  Sets the type of this PluginSpeciesAlias.

### setName

    public void setName(java.lang.String name)

  Sets the name of this PluginSpeciesAlias

  Parameters:
    `name` -

### getName

    public java.lang.String getName()

  Returns:
    the name of this PluginSpeciesAlias.

### getAliasID

    public java.lang.String getAliasID()

  Returns:
    AliasID of this PluginSpeciesAlias

### getX

    public double getX()

  Returns:
    x position of this PluginSpeciesAlias.

### getY

    public double getY()

  Returns:
    y position of this PluginSpeciesAlias.

### getWidth

    public double getWidth()

  Returns:
    the width of this PluginSpeciesAlias

### getHeight

    public double getHeight()

  Returns:
    the height of this PluginSpeciesAlias

### setFrameSize

    public void setFrameSize(double width,
                             double height)

  Sets the FrameSize (width & height) for this PluginSpeciesAlias

  Parameters:
    `width` -
    `height` -

### setFramePosition

    public void setFramePosition(double x,
                                 double y)

  Sets the position for this PluginSpeciesAlias.

  Parameters:
    `x` -
    `y` -

### getHomodimer

    public int getHomodimer()

  Returns:
    the homodimer of this PluginSpeciesAlias

### setHomodimer

    public void setHomodimer(int homodimer)

  Sets the homodimer of this PluginSpeciesAlias.

  Parameters:
    `homodimer` - the number of the field "homomultimer" of Species

### getHypothetical

    public boolean getHypothetical()

  Returns:
    true if this PluginSpeciesAlias is hypothetical, false otherwise

### setHypothetical

    public void setHypothetical(boolean hypothetical)

  Sets the hypothetical of this PluginSpeciesAlias.

  Parameters:
    `hypothetical` - true if this PluginSpeciesAlias is hypothetical, false otherwise

### setColor

    public void setColor(java.awt.Color color)

  Sets the color of this PluginSpeciesAlias.

  Parameters:
    `color` -

### getColor

    public java.awt.Color getColor()

  Parameters:
    `the` - color of this PluginSpeciesAlias

### getFrameLineWidth

    public double getFrameLineWidth()

  Returns:
    the FramelineWidth of thisPluginSpeciesAlias

### setFrameLineWidth

    public void setFrameLineWidth(double lineWidth)

  Sets the FrameLineWidth of this PluginSpeciesAlias.

  Parameters:
    `lineWidth` -

### getExtensionId

    public java.lang.String getExtensionId()

  Returns:
    the extensionId of this PluginSpeciesAlias

### getAntiSenseRNA

    public PluginAntiSenseRNA getAntiSenseRNA()

  Returns:
    the PluginAntiSenseRNA of this PluginSpeciesAlias

### setAntiSenseRNA

    public void setAntiSenseRNA(PluginAntiSenseRNA asrna)

  Sets the PluginAntiSenseRNA of this PluginSpeciesAlias.

  Parameters:
    `asrna` - PluginAntiSenseRNA

### getGene

    public PluginGene getGene()

  Returns:
    the PluginGene of this PluginSpeciesAlias

### setGene

    public void setGene(PluginGene gene)

  Sets the PluginGene of this PluginSpeciesAlias.

  Parameters:
    `gene` -

### getProtein

    public PluginProtein getProtein()

  Returns:
    the PluginProtein of this PluginSpeciesAlias.

### setProtein

    public void setProtein(PluginProtein protein)

  Sets the PluginProtein of this PluginSpeciesAlias.

  Parameters:
    `protein` -

### getRNA

    public PluginRNA getRNA()

  Returns:
    the PluginRNA of this PluginSpeciesAlias

### setRNA

    public void setRNA(PluginRNA rna)

  Sets the PluginRNA of this PluginSpeciesAlias.

  Parameters:
    `rna` -

### getNotesString

    public java.lang.String getNotesString()

  Overrides:
    `getNotesString` in class `PluginSBase`
  Returns:
    the notes of this PluginSBase.

### getNotes

    public XMLNode getNotes()

  Overrides:
    `getNotes` in class `PluginSBase`

### getModifications

    public PluginListOf getModifications()

  Returns:
    the list of PluginModification

### setModifications

    public void setModifications(PluginListOf modifications)

  Sets the list of PluginModification of this PluginSpeciesAlias.

  Parameters:
    `modifications` -

### setIsActive

    public void setIsActive(boolean activity)

  Sets activity

  Parameters:
    `activity` -

### isActive

    public boolean isActive()

### getPluginListOfStructuralStates

    public PluginListOf getPluginListOfStructuralStates()

  Gets a list of PluginStructuralStates

  Returns:
    listOfPluginStructuralStates

### setPluginListOfStructuralStates

    public void setPluginListOfStructuralStates(PluginListOf _listOfPluginStructuralStates)

  Sets a list of PluginStructuralStates

  Parameters:
    `listOfPluginStructuralStates` -

### getPluginInformationBox

    public PluginInformationBox getPluginInformationBox()

### setPluginInformationBox

    public void setPluginInformationBox(PluginInformationBox _PluginInformationBox)

### resetAllIncludedPluginSpeciesAliases

    public static final java.util.Vector resetAllIncludedPluginSpeciesAliases(PluginModel pluginMode,
                                                                              PluginSpeciesAlias someone)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD